# cyrillecv/main.py

import time
from rich.console import Console
from rich.panel import Panel
from rich.table import Table

console = Console()

def afficher_cv():
    console.print("\n")
    console.print(Panel.fit("[bold green] Bonjour, bienvenue sur le CV de Cyrille GBALE...[/bold green]"))
    time.sleep(1)
    console.print("\n✅ [cyan]DATA ANALYST, DATA ENGINEER, BUSINESS ANALYSIS[/cyan]")
    time.sleep(1)
    console.print("\n[bold green]👤 Qui suis-je ?[/bold green]")
    console.print(
        "\nAprès plusieurs années dans le secteur bancaire, je me suis reconverti dans le métier de Data Analyst, "
        "un complément naturel à mon parcours initial. Passionné par la data, je suis en recherche de nouveaux défis "
        "en tant que Data Analyst ou Data Engineer..."
    )
    time.sleep(1)

    console.print("\n[bold green]🎓 FORMATIONS[bold green]")
    console.print("- Certificat Data Engineer – IBM via Coursera (2024)")
    console.print("- Certificat RNCP Data Analyst – Wild Code School (2023)")
    console.print("- Master Économie – Université Moulay Ismail, Maroc (2010–2012)\n")

    
    console.print("\n[bold green]💼 EXPÉRIENCES CLÉS[bold green]")

    console.print("\n- [cyan]Data Engineer[/cyan] – Tibco Telecom, Nantes (Depuis septembre 2024)")
    console.print(
    "\nChez Tibco Telecom, j’interviens en tant que Data Engineer sur des projets d’optimisation de l’infrastructure data. "
    "J’analyse les processus existants pour identifier les axes d’amélioration, tout en recueillant les besoins métiers afin "
    "de concevoir des pipelines de données. J’assure la conception et la maintenance des processus ETL pour l’intégration des données"
    "ERP dans l’entrepôt de données, en veillant à la fiabilité et la performance des traitements en production."
)

    console.print(
    "\nj'ai aussi fait un projet MDT, j’occupe également le rôle de Assistant Data Architect. Je conçois des modèles de données alignés sur les besoins "
    "utilisateurs et veille à la qualité et à la cohérence des informations. Je documente l’ensemble des travaux réalisés pour garantir la "
    "pérennité et la maintenabilité des services mis en place."
)

    console.print(
    "\nEnfin, je participe activement au projet TI-GAIA (Gestion des Anomalies par l’Intelligence Artificielle), où J’ai contribué "
    "contribué au développement d’un système d’apprentissage par renforcement permettant à des agents intelligents d’optimiser la gestion des anomalies,"
    "Ce travail s’est fait en étroite collaboration avec les experts métiers. "
   
)


    console.print("\n- [cyan]Data Analyst[/cyan] – Terrena Groupe, Ancenis ( 2023 - 2024)")
    console.print(
    "\nEn tant que Data Analyst chez Terrena, j’accompagnais les responsables de filiale dans leurs besoins d’analyse "
    "en traduisant leurs demandes métiers en solutions de reporting efficaces. Mon rôle consiste à collecter, structurer et exploiter "
    "les données issues des différentes activités du groupe. J’élabore des rapports et tableaux de bord  pour faciliter la prise de décision. "
    " J'ai également réalisé des veilles actives sur les outils de Business Intelligence afin d’optimiser les méthodes "
    "d’analyse et de visualisation des données."
)


    console.print("\n- [cyan]Analyste Risque[/cyan] – Crédit Agricole, Bpifrance, BNP Paribas (2019–2022)")
    console.print(
    "\nBien que les environnements aient été différents, le cœur du métier restait le même : l’analyse du risque de crédit "
    "et la sécurisation des opérations de financement. En tant qu’analyste risque, ma mission principale était de m'assurer que les décisions "
    "de financement limitaient au maximum l'exposition au risque pour l’entreprise. "
    "J’étais en charge de l’analyse financière des entreprises demandeuses de financement, pour des montants allant de 200 000 à 5 millions d’euros. "
    "Je réalisais des études de garanties, participais à l’évaluation des risques économiques et environnementaux, et contribuais à la coordination "
    "des opérations de restructurations de prêts."
)

    console.print("\n- [cyan]Responsable d'agence[/cyan] – Atlantic Microfinance (2013–2018)")
    console.print(
    "\nEn tant que responsable d’agence, je dirigeais une équipe de 11 collaborateurs — dont 9 analysts crédit et 2 caissiers "
    "et gérais un portefeuille de plus de 3 000 clients."
    "j’assurais la prospection de grands comptes afin de leur proposer des solutions de financement adaptées à leurs activités."
    "J’étais chargé de l’analyse des demandes de financement, de l’évaluation de la solvabilité des clients et de la présentation"
    "des dossiers en comité de décision. Je supervisais également le contrôle du remboursement des crédits et la gestion d’impayés.\n"
         
)


    console.print("\n[bold green] PROJETS DATA[bold green]")

    console.print("\n[cyan]Projet : Architecture Data MDT[/cyan]")
    console.print(
        "\nJ’ai piloté le projet MDT visant à concevoir une architecture data centralisée, "
        "en assurant le cadrage, la conception et la coordination des livrables techniques. "
        "J’ai défini et proposé un schéma relationnel en adéquation avec les exigences métiers, "
        "et développé un processus ETL sous SSIS pour intégrer les données provenant des différents ERP "
        "et applications internes."
    )

    console.print("\n[cyan]Projet: TIGAIA – Gestion des Anomalies par l’IA[/cyan]")
    console.print(
        "\nJ’ai contribué au développement de TIGAIA, une solution intelligente de gestion des anomalies détectées "
        "dans les données du MDT. Ce projet s’appuyait sur des approches d’intelligence artificielle pour identifier "
        "et corriger automatiquement les incohérences, en collaboration étroite avec les experts métiers, afin d'améliorer "
        "la fiabilité des données stratégiques de l’entreprise."
    )

    console.print("\n[cyan]Projet : DataMobilité Nantes[/cyan]")
    console.print(
        "\nDans le cadre d’un projet mené à Nantes, j’ai exploité des jeux de données ouvertes (Open Data Soft, Data.gouv) "
        "pour prédire les conditions de circulation urbaine et recommander des actions aux citoyens comme aux gestionnaires. "
        "J’ai collecté et traité des données multi-sources (trafic, météo, transports, incidents), puis construit un datalake "
        "structuré avec PostgreSQL. À partir des données nettoyées, j’ai développé des modèles prédictifs, et conçu une "
        "interface Streamlit permettant de visualiser les prédictions en temps réel."
    )

    console.print("\n[cyan]Projet : Airflow Energy Pipeline[/cyan]")
    console.print(
        "\nDans ce projet, j’ai conçu un pipeline ELT complet. Les données brutes sont extraites automatiquement depuis des APIs, "
        "des fichiers et des bibliothèques Python, puis stockées dans PostgreSQL. J’effectue ensuite les transformations nécessaires  "
        "nettoyage, enrichissement  avant de charger les données transformées dans DuckDB, destiné à l’analyse et à l’exploitation "
        "par les Data Scientists. L’ensemble du pipeline est orchestré avec Apache Airflow et déployé dans un environnement Dockerisé."
    )

    console.print("\n[cyan]Projet : SalesAnalytics Platform[/cyan]")
    console.print(
        "\nDans un projet de valorisation des données commerciales, j’ai mis en place une architecture analytique en « médaillon » "
        "(bronze, silver, gold) pour fiabiliser les données de vente et produire des indicateurs de pilotage destinés aux décideurs. "
        "J’ai modélisé les données avec DBT, stocké les résultats dans DuckDB, et développé des dashboards dynamiques sous Metabase "
        "(KPIs, marges, répartition géographique). Des pipelines Airflow assuraient la mise à jour automatisée des données "
        "(ils ne sont pas bien reussis).\n"
    )


    console.print("\n[bold green] COMPÉTENCES[bold green]")
    table = Table(show_header=True, header_style="bold magenta")
    table.add_column("Domaine", width=20)
    table.add_column("Compétences")

    table.add_row("Analyse de données", "Pandas, Python, Power BI")
    table.add_row("ETL / BDD", "Airflow, SQL Server SSIS, PostgreSQL")
    table.add_row("Big Data", "pySpark")
    table.add_row("Outils", "Jira, Confluence, GLPI")
    table.add_row("Langues", "Français (natif), Anglais (universitaire)")
    console.print(table)

    console.print("\n\n[bold green]📫 CONTACT[bold green]")
    console.print("- Email : crvgbale@gmail.com")
    console.print("- Téléphone : 07 73 75 54 79")
    console.print("- Localisation : Le Gâvre, 44130")

    console.print("\n🎸 Centres d’intérêt : Arbitre de foot, Bricolage, Guitare acoustique\n")
    console.print("\n[bold green]CV installé avec succès ![/bold green]\n\n")

def main():
    afficher_cv()
